For more detailed information about the changes see the history of the
`repository <https://github.com/votca/votca/commits/stable>`__.

Version 2022 (released 15.01.22)
================================

-  fix some icpc warnings (#934)
-  only check for pytest if testing is enabled (#930)
-  exclude some builds from CI (#940, #942, #944, #945)
-  update interface documentation (#939)
-  update install guide for binary packages (#936)
-  fixed sigma plot options passing (#943)

Version 2022-rc.2 (released 16.12.21)
=====================================

-  fix iqm merge orbitals command  (#907)
-  fix bug in basisset serialization that caused wrong Vxc values in GW (#910)
-  update performance compilation info (#911)
-  license for monorepo and all license files rst -> plain text (#912, #913)
-  use python3 in xtp-tutorials (#917)
-  bump required boost version to 1.71 (#915, #916)
-  clean up NOTICE files (#919)
-  rm PYTHON_INSTDIR from VOTCARC (#924)
-  update citation in xtp README (#925)
-  fix install permission of tutorials (#926)

Version 2022-rc.1 (released 26.11.21)
=====================================

-  create script to convert help to rst (votca/tools#312, votca/tools#328)
-  add rst pages to doc (votca/tools#330, votca/tools#332)
-  remove tex and man output from app class (votca/tools#329)
-  fix example rst section (votca/tools#327, votca/tools#339)
-  remove author and copyright from rst (votca/tools#331)
-  fix rst warnings (votca/tools#334, votca/tools#346, votca/tools#348)
-  export PYTHONPATH in VOTCARC (votca/tools#340)
-  drop csh support in VOTCARC (votca/tools#342)
-  add missing cmath include (votca/tools#351)
-  removed eigenvalue algorithm, now done by eigen  (votca/tools#352)
-  Added N-DimVector (votca/tools#360)
-  properties can be removed and string conversion much improved (votca/tools#365)
-  adapted tokenizer api (votca/tools#367)
-  improve mkl linkage and threading backend selection (votca/tools#371, votca/tools#383)
-  removed tex option (votca/tools#372)
-  made membervariable format consistent (votca/tools#373)
-  added AddTree to property (votca/tools#374)
-  added optionshandler (votca/tools#375)
-  made bool conversion more restrictive (votca/tools#366)
-  made factory more general (votca/tools#377)
-  generate manpage & rst using votca_help2man (votca/csg#637, votca/csg#638,
   votca/csg#640, votca/csg#641)
-  format csg_orientcorr help for rst conversion (votca/csg#648)
-  update help of functions_common for rst (votca/csg#650)
-  switched topology map to using unique_ptr (votca/csg#651)
-  switch to using unique_ptr for cgmoleculedef (votca/csg#652)
-  switch boundary conditions to unique_ptr (votca/csg#654)
-  switch NBList to unique_ptr (votca/csg#659)
-  switch csgapplication worker to unique_ptr (votca/csg#660)
-  remove use of new with splines in csg_fmatch (votca/csg#662)
-  update boost test floating point comparison header (votca/csg#663)
-  switch mutex to unique_ptr (votca/csg#664)
-  standardize header formatting (votca/csg#661)
-  clean up memory management in partial_rdf (votca/csg#665)
-  deleted unused makefile (votca/csg#666)
-  memory management of molecules fixed (votca/csg#657)
-  switched memory management of residues using boost_deque (votca/csg#655)
-  store beads directly in boost deque (votca/csg#656)
-  switched molecule stable_vector to boost deque (votca/csg#667)
-  convert maps to unique_ptrs (votca/csg#653)
-  add iterative integral equation (iie) method (votca/csg#675)
-  fix issues with IHNC (newton-mod) Integral equation method (votca/csg#683,
   votca/csg#700)
-  fix links in documentation (votca/csg#686, votca/csg#687, votca/csg#688)
-  use ndim vector instead of std::vector (votca/csg#689)
-  adapted tokenizer api (votca/csg#693)
-  made membervariable format consistent (votca/csg#694)
-  add ability to run ibi as a postupd method (votca/csg#696)
-  removed unused functions (votca/csg#702)
-  reworked lammps molecule naming (votca/csg#703)
-  Updated doxygen intro (votca/csg#712)
-  Updated coordinate precision (votca/xtp#638)
-  Refactored energy corrections in RPA outside QPs (votca/xtp#577)
-  Made SetupCptTable static (votca/xtp#650)
-  using libecpint for pseudo potentials (votca/xtp#588)
-  implement fchk writer (votca/xtp#649)
-  Fixing BSE triplet storage (votca/xtp#653) (votca/xtp#654)
-  added transpose to CudaMatrix (votca/xtp#657)
-  generate manpage using votca_help2man (votca/xtp#655, votca/xtp#659)
-  Fix script rst generation (votca/xtp#656)
-  Clean scripts (votca/xtp#668)
-  Read MO coefficients computed with orca from the molden file instead of the .gbw binary (votca/xtp#589)
-  fix lxml detection in cmake (votca/xtp#670)
-  extend fchk writer with option to print single KS state densities and densities relative to the ground state (votca/xtp#662)
-  added a more general constructor to cudamatrix (votca/xtp#671)
-  removed lapack routine for solving BSE and added GPU support (votca/xtp#672)
-  changed return value from reference to a copy (votca/xtp#676)
-  add CodeQL static analysis to GitHub Actions (votca/xtp#677)
-  redo openmp_cuda api, correct davidson for non symmetric problems.  (votca/xtp#684)
-  changed molecule in csg topology container to actual object instead of pointer (votca/xtp#683)
-  remove codecov comments from inside code at PR (votca/xtp#686)
-  count the number of available CPUs for autogen_mapping script (votca/xtp#688)
-  added a checkpoint reader to jobtopology class (votca/xtp#691)
-  fixed issue with molden file path and orca executable path (votca/xtp#692)
-  Fixed bug in mapping (votca/xtp#690)
-  added support for external fields in DFT (votca/xtp#698)
-  allocate threecenter matrices in parallel (votca/xtp#701)
-  use NDimVector instead of std::vector in vxcgrid. (votca/xtp#703)
-  Fixing the tutorial (votca/xtp#705)
-  adapted tokenizer api (votca/xtp#707)
-  move OpenMP detection to tools (votca/xtp#709)
-  refactored applications (votca/xtp#710)
-  add command line option for number of gpus (votca/xtp#711)
-  reworked iqm statefile reading (votca/xtp#712)
-  made membervariable format consistent (votca/xtp#713)
-  updated benchmark (votca/xtp#714)
-  reworked commandline options (votca/xtp#715)
-  renamed cmd line arguments in xtp_parallel (votca/xtp#718)
-  added incremental Fock matrix building (votca/xtp#716)
-  disable codeql check in GitHub Actions (votca/xtp#720)
-  replace std::vector by Eigen::Array<bool,..> (votca/xtp#719)
-  overhaul complete option handling (votca/xtp#704)
-  Fixed exciton options checking (votca/xtp#726)
-  added basis gpu runner and test to suite (votca/xtp#725)
-  turned sigma choice into a factory (votca/xtp#731)
-  use middleRows-Cols and refactor numerical integration (votca/xtp#732)
-  increase performance of numerical integration (votca/xtp#733)
-  upgrade xtp to cxx17 (votca/xtp#737, #880)
-  Remove unused variables (votca/xtp#742)
-  fix issue with writing strings to hdf5 files (votca/xtp#743)
-  Merge submodules in monorepo (#763, #768, #816, #822, #849)
-  xtp: Fix HDF5 issue on FreeBSD (#760, #848)
-  update documentation (#852, #877)
-  add vscode to gitignore (#853)
-  re-enable GPU build (#854)
-  disable test_random test on valgrind (#855)
-  introduce global changelog (#858)
-  clean up github actions and merge votca/actions (#859, #867, #874,
   #878, #883, #894)
-  fix warning on intel compiler (#861)
-  added gpu benchmark for xtp (#857)
-  Remove submodules from doc and actions (#865)
-  updated libint to 2.7 (#864)
-  added xtp_modify_jobfile to extract jobs from large jobfile (#840)
-  rename auxiliary basissets to aux-<basisset_name> (#871)
-  added documentation about architecture to votca and votca-xtp (#869)
-  check for gmx-2019 in csg-tutorials (#875)
-  added the full basissets to the orb checkpoint file (#863)
-  return default for empty strings in option file (#873)
-  replaced removed std::bind2nd by lambda (#881)
-  change error to warning in reading lammps bonds (#884)
-  add a citation.cff file (#845)
-  improve support for Intel compilers (#882, #892)
-  cmake: allow libint2 detections through cmake (#888)
-  allow libxc detection through cmak (#890)
-  bump required cmake version to 3.13 to support -B option (#887, #893)
-  changed hard coded file to option value in eqm.cc (#900)
-  inject march=native by default and add cmake option for valgrind tests (#896, #903)
-  add performance compilation info (#895, #911)
-  Read number of alpha electrons from orca log, not from molden (#901)
-  Refactor parsing of the tasks_string (#902)
-  set correct filename for initial guess from monomer orbitals (#904)

Version 2021.2 and earlier
==========================

-  see tools/LEGACY_CHANGELOG.rst
-  see csg/LEGACY_CHANGELOG.rst
-  see xtp/LEGACY_CHANGELOG.rst

